Subject: bug#54787: importer Bioconductor: no tarball, only Git

From: zimoun <[email-masked]>
Date: Fri, 08 Apr 2022 13:48:58 +0200

Hi,

Consider the package CHETAH, included in Bioconductor release 3.14;

<https://bioconductor.org/packages/release/bioc/html/CHETAH.html>

but then,

--8<---------------cut here---------------start------------->8---
$ guix import cran -a bioconductor CHETAH
guix import: warning: failed to retrieve package information from https://cran.r-project.org/web/packages/CHETAH/DESCRIPTION: 404 (Not Found)
guix import: error: failed to download description for package 'CHETAH'
--8<---------------cut here---------------end--------------->8---

The reason is because there is no source package.  Only the Git source
repo.

Cheers,
simon